<f:variable name="headerLayout" value="{data.header_layout}"/>
<section class="subject-wrap frame-space-before-{data.space_before_class} frame-space-after-{data.space_after_class}">
    <f:if condition="{data.header}">
        <div class="row">
            <div class="col">
                <header class="frame-header mb-3">
                    <h{headerLayout}>{data.header}</h{headerLayout}>
                </header>
            </div>
        </div>
    </f:if>

    <f:if condition="{data.tx_mask_subjects}">
        <div class="row row-cols-1 row-cols-md-2 row-cols-lg-3 g-4 subjects">
            <f:for each="{data.tx_mask_subjects}" as="data_item">
                <div class="col subject">
                    <div class="card h-100">
                        <f:if condition="{data_item.tx_mask_subjects_image}">
                            <f:then>
                                <div class="img-wrap">
                                    <f:for each="{data_item.tx_mask_subjects_image}" as="file">
                                        <f:image image="{file}" width="475c" height="257c" class="card-img-top img-fluid" />
                                    </f:for>
                                </div>
                            </f:then>
                            <f:else>
                                <div class="img-wrap">
                                    <img
                                        srcset=""
                                        sizes="
                                            (min-width: 50em) 33vw,
                                            (min-width: 28em) 50vw,
                                            100vw"
                                        src="https://via.placeholder.com/475x257" width="475" height="257" class="card-img-top img-fluid">
                                </div>
                            </f:else>
                        </f:if>
                        <div class="card-body text-center p-3 card-body text-center p-3 d-flex flex-column justify-content-between align-items-center">
                            <f:if condition="{data_item.tx_mask_subjects_title}">
                                <div class="card-title h5 mt-2 mb-4 d-block">
                                    {data_item.tx_mask_subjects_title}
                                </div>
                            </f:if>
                            <f:if condition="{data_item.tx_mask_subjects_link}">
                                <f:link.typolink parameter="{data_item.tx_mask_subjects_link}" class="btn btn-primary">Mehr erfahren</f:link.typolink>
                            </f:if>
                        </div>
                    </div>
                </div>
            </f:for>
        </div>
    </f:if>
</section>
